##
##  tmpp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tmpp
Summary:      Topic Map Library (for C++)
URL:          http://tmplusplus.sourceforge.net/
Vendor:       Inge Eivind Henriksen
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        XML
License:      GPL (Restricted)
Version:      0.8.19.6
Release:      20080806

#   list of sources
Source0:      http://switch.dl.sourceforge.net/tmplusplus/TMPlusPlus_%{version}_beta.zip
Patch0:       tmpp.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, infozip, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  expat
PreReq:       expat
AutoReq:      no
AutoReqProv:  no

%description
    TM++ is a high-performance, portable Topic Maps (TM) engine written
    in C++. It is designed to work according to the ISO standards for
    TMDM 1.0 and XTM 1.0/2.0.

%track
    prog tmpp = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/tmplusplus/
        regex     = TMPlusPlus_(__VER__)_beta\.zip
    }

%prep
    %setup -q -T -c
    unzip -q -x %{SOURCE0}
    cd TMPlusPlus_%{version}_beta
    %patch -p0

%build
    cd TMPlusPlus_%{version}_beta
    rm -f lib/*
    %{l_make} %{l_mflags} \
        -f makefile.static \
        CC="%{l_cxx}" \
        CXXFLAGS="%{l_cxxflags -O}" \
        EXPATINC="%{l_prefix}/include"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/include/tmpp
    %{l_shtool} install -c -m 644 \
        TMPlusPlus_%{version}_beta/lib/libTMPlusPlus.a \
        $RPM_BUILD_ROOT%{l_prefix}/lib/libtmpp.a
    %{l_shtool} install -c -m 644 \
        TMPlusPlus_%{version}_beta/TMPPLib/*.h \
        $RPM_BUILD_ROOT%{l_prefix}/include/tmpp/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

